(text "{% macro footer() -%}")
(footer
    ("class" "flex flex-col items-center gap-2")
    (hr ("style" "min-width: 20rem; margin-top: calc(var(--pad-4) * 4)"))
    (div
        ("class" "w-full flex justify-between")
        (div ("style" "width: 50px"))
        (div
            ("class" "flex flex-col gap-2 items-center")
            (div
                ("class" "flex gap-2 flex-wrap")
                (a
                    ("href" "/")
                    (text "new"))

                (a
                    ("href" "/{{ what_page_slug }}")
                    (text "what"))

                (a
                    ("href" "https://trisua.com/t/attobin")
                    (text "source")))

            (span ("style" "font-size: 14px") ("class" "fade") (text "{{ name }}")))

        ; theme switches
        (button
            ("class" "button camo fade")
            ("id" "switch_light")
            ("title" "Switch theme")
            ("onclick" "set_theme('Dark')")
            (text "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" fill=\"none\" stroke=\"currentColor\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\" class=\"lucide lucide-sun-icon lucide-sun icon\"><circle cx=\"12\" cy=\"12\" r=\"4\"/><path d=\"M12 2v2\"/><path d=\"M12 20v2\"/><path d=\"m4.93 4.93 1.41 1.41\"/><path d=\"m17.66 17.66 1.41 1.41\"/><path d=\"M2 12h2\"/><path d=\"M20 12h2\"/><path d=\"m6.34 17.66-1.41 1.41\"/><path d=\"m19.07 4.93-1.41 1.41\"/></svg>"))

        (button
            ("class" "button camo fade hidden")
            ("id" "switch_dark")
            ("title" "Switch theme")
            ("onclick" "set_theme('Light')")
            (text "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" fill=\"none\" stroke=\"currentColor\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\" class=\"lucide lucide-moon-icon lucide-moon icon\"><path d=\"M12 3a6 6 0 0 0 9 9 9 9 0 1 1-9-9Z\"/></svg>"))))
(text "{%- endmacro %}")
